require 'yst/yello_api.rb'

class YST
  TOKEN_FILE = File.join(ENV['HOME'], '/.yello_security_token')
  include YelloAPI

  def register(email)
    email = sanitize_email(email)
    return puts "Invalid Yello Email: #{email}" unless valid_email?(email)

    token = submit_registration(email)
    `echo '#{email}:#{token}' > #{TOKEN_FILE}`

    puts "Successfully registered! Access token has been saved for future requests. (token: #{token})"
  end

  def vote(answer)
    return puts "Invalid answer (must be single letter): #{answer}" unless answer.length == 1

    puts submit_vote(answer.downcase)
  end

  def votes
    puts my_votes
  end

  private

  def sanitize_email(email)
    # Remove forward slashes and backward slashes
    email.gsub(/\//, '').gsub(/\\/, '')
  end

  def valid_email?(email)
    email.include?('@') && email.include?('yello')
  end
end
