require 'httparty'

module YelloAPI
  TOKEN_FILE = File.join(ENV['HOME'], '/.yello_security_token')

  def submit_registration(email)
    response = HTTParty.post("#{base_uri}/users", {
      body: { email: email }
    })
    response.body
  end

  def submit_vote(answer)
    response = HTTParty.post("#{base_uri}/votes", {
      body: {
        token: parse_token,
        answer: answer
      }
    })
    response.body
  end

  def my_votes
    response = HTTParty.get("#{base_uri}/votes?token=#{parse_token}")
    response.body
  end

  private

  def parse_token
    raise 'You must first register your email via --register' unless File.exists?(TOKEN_FILE)
    File.read(TOKEN_FILE).split(':').last.chomp
  end

  def base_uri
    'https://yst.yellosec.co'.freeze
  end
end

=begin
Developer Notes (pls ignore):

POST /users {email: 'test@yello.co'} => token/message
POST /votes {answer: 'a', token: '123'} => message
GET /votes => text-formmated votes
GET /urls => debug info, pls ignore
=end
